Subject: bug#34138: 27.0.50; Delayed display of PDF file images

From: Stephen Berman <[email-masked]>
Date: Mon, 21 Jan 2019 17:13:05 +0100

On Mon, 21 Jan 2019 17:58:48 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked], [email-masked], [email-masked],
>> [email-masked]
>> Date: Sun, 20 Jan 2019 21:45:06 +0100
>> 
>> > Please start GDB from a directory other that the Emacs src directory,
>> > I'd like to see the C backtrace that way.
>> 
>> Ok, transcript attached.  But now there's no Lisp backtrace (more on
>> this below).
[...] 
>
> Still weird: this says that Emacs simply waits for any input to
> arrive, a.k.a. "is idle".
>
> You've mentioned before that one of the two scenarios where you see
> this problem produces a much longer delay -- could you repeat the same
> procedure during that long delay, and show the backtrace from that
> session?  Maybe we will see something more interesting there.

This (and all the other backtraces I posted or mentioned) was from the
scenario where I see the long delay, i.e. using pdf-view-mode; with
doc-view-mode, the delay is so short (a couple of seconds) that it may
be difficult to switch from the Emacs GUI to the shell and invoke gdb
before the image is displayed.

Steve Berman